spring:
  cloud:
    gateway:
      forwarded:
        enabled: true
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: "${gateway.url}/auth/realms/${keycloak.app.realm}"
          authorities-claim-name: client-roles
          authority-prefix: ROLE_

management:
  endpoints:
    web:
      exposure:
        include: "*" #actuator will expose all the endpoints
  endpoint:
    gateway:
      enabled: true

springdoc:
  api-docs:
    enabled: true
  swagger-ui:
    enabled: true
    path: /swagger-ui/index.html
    config-url: /v3/api-docs/swagger-config

server:
  port: 9000
